Open CASCADE Technology: FilletPoint Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
FilletPoint Class Reference

Private class. Corresponds to the point on the first curve, computed fillet function and derivative on it. More...

`#include <ChFi2d_FilletAlgo.hxx>`

## Public Member Functions
| FilletPoint (Standard_Real theParam)
| Creates a point on a first curve by parameter on this curve. More...
void | setParam (Standard_Real theParam)
| Changes the point position by changing point parameter on the first curve. More...
Standard_Real | getParam () const
| Returns the point parameter on the first curve. More...
Standard_Integer | getNBValues ()
| Returns number of found values of function in this point. More...
Standard_Real | getValue (int theIndex)
| Returns value of function in this point. More...
Standard_Real | getDiff (int theIndex)
| Returns derivatives of function in this point. More...
Standard_Boolean | isValid (int theIndex)
| Returns true if function is valid (rediuses vectors of fillet do not intersect any curve). More...
int | getNear (int theIndex)
| Returns the index of the nearest value. More...
void | setParam2 (const Standard_Real theParam2)
| Defines the parameter of the projected point on the second curve. More...
Standard_Real | getParam2 ()
| Returns the parameter of the projected point on the second curve. More...
void | setCenter (const gp_Pnt2d thePoint)
| Center of the fillet. More...
const gp_Pnt2d | getCenter ()
| Center of the fillet. More...
void | appendValue (Standard_Real theValue, Standard_Boolean theValid)
| Appends value of the function. More...
Standard_Boolean | calculateDiff (FilletPoint *)
| Computes difference between this point and the given. Stores difference in myD. More...
void | FilterPoints (FilletPoint *)
| Filters out the values and leaves the most optimal one. More...
FilletPoint * | Copy ()
| Returns a pointer to created copy of the point warning: this is not the full copy! Copies only: myParam, myV, myD, myValid. More...
Standard_Integer | hasSolution (Standard_Real theRadius)
| Returns the index of the solution or zero if there is no solution. More...
Standard_Real | LowerValue ()
| For debug only. More...
void | remove (Standard_Integer theIndex)
| Removes the found value by the given index. More...

## Detailed Description

Private class. Corresponds to the point on the first curve, computed fillet function and derivative on it.

## Constructor & Destructor Documentation

FilletPoint::FilletPoint | ( | Standard_Real | theParam | ) |
| inline

Creates a point on a first curve by parameter on this curve.

## Member Function Documentation

void FilletPoint::appendValue | ( | Standard_Real | theValue,
|  | Standard_Boolean | theValid
| ) |  |

Appends value of the function.

Standard_Boolean FilletPoint::calculateDiff | ( | FilletPoint * |  | ) |

Computes difference between this point and the given. Stores difference in myD.

FilletPoint* FilletPoint::Copy | ( |  | ) |

Returns a pointer to created copy of the point warning: this is not the full copy! Copies only: myParam, myV, myD, myValid.

void FilletPoint::FilterPoints | ( | FilletPoint * |  | ) |

Filters out the values and leaves the most optimal one.

const gp_Pnt2d FilletPoint::getCenter | ( |  | ) |
| inline

Center of the fillet.

Standard_Real FilletPoint::getDiff | ( | int | theIndex | ) |
| inline

Returns derivatives of function in this point.

Standard_Integer FilletPoint::getNBValues | ( |  | ) |
| inline

Returns number of found values of function in this point.

int FilletPoint::getNear | ( | int | theIndex | ) |
| inline

Returns the index of the nearest value.

Standard_Real FilletPoint::getParam | ( |  | ) | const
| inline

Returns the point parameter on the first curve.

Standard_Real FilletPoint::getParam2 | ( |  | ) |
| inline

Returns the parameter of the projected point on the second curve.

Standard_Real FilletPoint::getValue | ( | int | theIndex | ) |
| inline

Returns value of function in this point.

Standard_Integer FilletPoint::hasSolution | ( | Standard_Real | theRadius | ) |

Returns the index of the solution or zero if there is no solution.

Standard_Boolean FilletPoint::isValid | ( | int | theIndex | ) |
| inline

Returns true if function is valid (rediuses vectors of fillet do not intersect any curve).

Standard_Real FilletPoint::LowerValue | ( |  | ) |
| inline

For debug only.

void FilletPoint::remove | ( | Standard_Integer | theIndex | ) |

Removes the found value by the given index.

void FilletPoint::setCenter | ( | const gp_Pnt2d | thePoint | ) |
| inline

Center of the fillet.

void FilletPoint::setParam | ( | Standard_Real | theParam | ) |
| inline

Changes the point position by changing point parameter on the first curve.

void FilletPoint::setParam2 | ( | const Standard_Real | theParam2 | ) |
| inline

Defines the parameter of the projected point on the second curve.

The documentation for this class was generated from the following file:

- ChFi2d_FilletAlgo.hxx